Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.ext.awt.image.renderable
Interface AffineRable

All Superinterfaces:
  Filter, java.awt.image.renderable.RenderableImage

All Known Implementing Classes:
  AffineRable8Bit

public interface AffineRable
extends Filter

Adjusts the input images coordinate system by a general Affine transform

Field Summary

Fields inherited from interface java.awt.image.renderable.RenderableImage
`HINTS_OBSERVED`

Method Summary
`java.awt.geom.AffineTransform` | `getAffine()` Get the current affine.
`Filter` | `getSource()` Returns the source to be offset.
`void` | `setAffine(java.awt.geom.AffineTransform affine)` Set the affine.
`void` | `setSource(Filter src)` Sets the source to be offset.

Methods inherited from interface org.apache.batik.ext.awt.image.renderable.Filter
`getBounds2D, getDependencyRegion, getDirtyRegion, getTimeStamp`

Methods inherited from interface java.awt.image.renderable.RenderableImage
`createDefaultRendering, createRendering, createScaledRendering, getHeight, getMinX, getMinY, getProperty, getPropertyNames, getSources, getWidth, isDynamic`

Method Detail

### getSource

    public Filter getSource()

  Returns the source to be offset.

### setSource

    public void setSource(Filter src)

  Sets the source to be offset.

  Parameters:
    `src` - image to offset.

### setAffine

    public void setAffine(java.awt.geom.AffineTransform affine)

  Set the affine.

  Parameters:
    `affine` - the new Affine transform for the filter.

### getAffine

    public java.awt.geom.AffineTransform getAffine()

  Get the current affine.

  Returns:
    The current affine transform for the filter.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Apache Software Foundation. All Rights Reserved.